/* All the includes */
#include <stdarg.h>
#include <malloc.h>
#include <pwd.h>
#include <stdio.h>
#include <stdlib.h>
#include <strings.h>
#include <sys/stat.h>
#include <unistd.h>

/* Stuctures */
typedef struct linklist {
 struct linklist *next;
 char *line;
} linklist;

typedef struct {
 linklist *ps, *top;
} colorrec;

/* prototypes */
extern char *progname;
int allnum(char *str);
void buildpsfile(char *filename, int type, int convuid, int convpls,
                 int convtyp, int convcol, int verbose);
char *buildvar(linklist *col);
char *convcolor(char *col);
char *convert(char **var, int pls, int uid, int col, int typ, int v);
char *convline(char *col, char *filename, int lineno);
char *convtype(int markup);
char *convuids(unsigned uid, int u, int p);
int count(char *s, char c);
void error(const char *fmt, ...);
void info(const char *fmt, ...);
int isansi(char *color);
void listadd(linklist *list, char *string);
void listappend(linklist *d, linklist *s);
void listdestroy(linklist *list);
linklist *listinit();
void main(int argc, char **argv);
int needconv(char *markup, char *data, char *color);
char **parsevar(char *var);
void readfile(char *filename, int useetcfile, colorrec *cols);
int strarraycmp(char *str, char **array);
void warn(const char *fmt, ...);
